
<div class="col-6">
    <div>
        <RankingsComponent GameStatus="@StatusData.game_status" PlayerRankings="StatusData.rankings"></RankingsComponent>
    </div>
    @if (StatusData.stat_humour_pref == null){
        <p>Loading game statistics...</p>
    }else if (StatusData.stat_humour_pref.Length > 0){
    <div class="card shadow" style="margin-top: 18px;"><!-- game stats -->
        <h4 class="card-title" style="margin-top: 12px; margin-left: 12px;">Humour appreciation</h4>
        <ul>
            @foreach(HumourPreference pref in StatusData.stat_humour_pref){
                <li>
                    <b>@pref.card_czar</b> picked <b>@pref.responder</b>'s response <b>@(pref.perc_picked)%</b> of the time.
                </li>
            }
        </ul>
    </div>
    }
</div>
<div class="col-6" style="height: 95%; overflow-y: auto;"><!-- response history -->
    @if (StatusData.response_history == null){
        <p>Loading response history...</p>
    }else{
        <h3 style="text-align: center;">Round history</h3>
    @foreach(ResponseHistoryPoint respPoint in StatusData.response_history){
        <div style="width: max-content; margin: auto;">
            <div style="display: flex;">
            <div>
                <div class="card shadow-sm cah-card" style="background-color: black; color: white;">
                    @respPoint.question
                </div>
            </div>
            <div style="margin-left: 8px;">
                @for (int j = 0; j < respPoint.responses.Length; j++){
                    <div class="card cah-card shadow-sm" style="z-index: @j; margin-top: @getRespTop(j); margin-left: @getRespLeft(j);">
                        <div class="d-flex" style="flex-direction: column; height: 100%;">
                            <div>@respPoint.responses[j]</div>
                            <div style="flex-grow: 1"></div>
                            @if(j==respPoint.responses.Length-1){
                                <div style="width: 100%; text-align: center; font-size: .8em; border: 2px dashed black;">@respPoint.winner</div>
                            }
                        </div>
                    </div>
                }
            </div>
            </div>
            <p style="padding: 6px 6px 0;">Card Czar: @respPoint.card_czar</p>
        </div>
    }
    }
</div>

@code {

    [Parameter]
    public StatusData StatusData {get;set;}

    [Parameter]
    public bool LargeScreen {get;set;}

    private string getRespTop(int i){
        var top = LargeScreen ? 60 : 30;
        return $"{i*-top}px";
    }
    private string getRespLeft(int i){
        var left = LargeScreen ? 240 : 120;
        return $"{i*-left}";
    }

}